
constituents.make : cmt_path.make requirements
	@if test "$(build_strategy)" = "rebuild_makefiles"; then \
	  echo "Rebuilding $@"; \
	  $(cmtexe) build constituents_makefile -tag=$(tag); \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  echo "Rebuilding library links"; \
	  $(cmtexe) build library_links -quiet -tag=$(tag) ; \
	fi

-include constituents.make

clean ::
	@if test "$(build_strategy)" = "rebuild_makefiles"; then \
	  $(cmtexe) remove library_links -quiet -tag=$(tag); \
	  echo "Removing library links"; \
	fi

