#!/bin/sh

#--------------------------------------------------
select_system ()
#--------------------------------------------------
{
  if test ! "${UNAME}" = "" ; then
    echo ${UNAME}
    return 0
  else
    UNAME=`uname`
  fi

  a=`fs sysname 2>/dev/null`
  if test $? = 0 ; then
    echo $a | cut -d"'" -f2
    return 0
  fi

  case $UNAME in
    LynxOS)
	    echo `uname`-`uname -m`
	    return 0
	    ;;
    Linux)
	   echo `uname`-`uname -m`
	   return 0
	   ;;
    OSF1)
	  if test `uname -r` = "V3.2" ; then
	    echo alpha_v3
	    return 0
	  fi
	  ;;
    HP-UX)
	   if test `uname -m` = "9000/780" ; then
	     echo hp9000s780
	     return 0
	   elif test `uname -m` = "9000/735" ; then
	     echo hp9000s735
	     return 0
	   fi
	   ;;
  esac

  echo `uname -m`
  return 0
}

#--------------------------------------------------
# main ()
#--------------------------------------------------

select_system
